Loading...
Searching...
No Matches
probe_ncache_t Struct Reference

Element name cache structure. More...

`#include <ncache.h>`

Collaboration diagram for probe_ncache_t:
[legend]

## Data Fields

pthread_rwlock_t | lock
| pthread read-write lock
SEXP_t ** | name
| array of S-exp refs
size_t | real
| number of cached names
size_t | size
| pre-allocated size

## Detailed Description

Element name cache structure.

This structure contains an array of cached string S-exps representing the names of elements.

The documentation for this struct was generated from the following file:

- ncache.h